<?php

namespace Database\Seeders;

use App\Models\LeaveType;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class LeaveTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $leaveType = [
            [
                'name' => 'Sick Leave',
                'max_leave' => 15
            ],
            [
                'name' => 'Vacation Leave',
                'max_leave' => 15
            ],
        ];

        LeaveType::insert($leaveType);
    }

    public function reset()
    {
        LeaveType::trucate();
    }
}
